package main

import (
	"context"
	"fmt"
	"os"

	"github.com/jackc/pgx/v5"
)

func main() {
	// urlExample := "postgres://username:password@localhost:5432/database_name"
	host := os.Getenv("PGHOST")
	database := os.Getenv("DB_NAME")

	connectString :=
		fmt.Sprintf("postgres:///?host=%s&database=%s", host, database)

	conn, err := pgx.Connect(context.Background(), connectString)
	if err != nil {
		fmt.Fprintf(os.Stderr, "Unable to connect to database: %v\n", err)
		os.Exit(1)
	}
	defer conn.Close(context.Background())

}
